[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditorIsReadOnly

Determines if the current column number is defined as read-only.

## Declaration

Source position: grids.pas line 1075

`protected function TCustomGrid.EditorIsReadOnly: Boolean; virtual;`

## Function result

True if the current column is marked (or defined) as read-only.

## Description

Calls GetColumnReadonly using the value in Col as the column number.

When the Columns collection has been enabled, the ReadOnly property in the TGridColumn instance determines the return value. Otherwise, the value from GetDefaultColumnReadOnly is used as the return value (False in TCustomGrid).